sources / Add PostgreSQL connection

sources

Add PostgreSQL connection

Create a new PostgreSQL database connection.

POST /api/v1/sources/add/postgres/

Headers

Authorizationrequired

any - API key authentication using Bearer scheme

Request Body

typerequired

string - Connection type identifier. Must be `POSTGRES`

account_name

string - Display name for the connection

hostname

string - PostgreSQL server hostname

port

integer - Port number

username

string - Database username

password

string - Database password

database_name

string - Database name

connection_string

string - Alternative: full connection string instead of individual parameters

selected_schemas

array - List of schema names to include in queries and overviews. If empty, all schemas except system schemas will be included.

Response

id

integer - The ID of the created connection